package org.apache.bcel.verifier.structurals;

import org.apache.bcel.generic.InstructionHandle;
import org.apache.bcel.generic.ObjectType;

public class ExceptionHandler
{
    static final ExceptionHandler[] EMPTY_ARRAY;
    private final ObjectType catchType;
    private final InstructionHandle handlerPc;
    
    ExceptionHandler(final ObjectType catchType, final InstructionHandle handlerPc) {
        this.catchType = catchType;
        this.handlerPc = handlerPc;
    }
    
    public ObjectType getExceptionType() {
        return this.catchType;
    }
    
    public InstructionHandle getHandlerStart() {
        return this.handlerPc;
    }
    
    static {
        EMPTY_ARRAY = new ExceptionHandler[0];
    }
}
